[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodes.AddChildObject

AddChildObject - adds a child node with specified text and data-pointer to the parent node and returns the new node

## Declaration

Source position: comctrls.pp line 2092

`public function TTreeNodes.AddChildObject(`
`ParentNode: TTreeNode;`
`const S: String;`
`Data: Pointer`
`):TTreeNode;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.